Index: sasmodels/models/elliptical_cylinder.py
===================================================================
--- sasmodels/models/elliptical_cylinder.py	(revision e65a3e76ad1100c96ce720a14336ae8ef3d8e0d7)
+++ sasmodels/models/elliptical_cylinder.py	(revision 74fd96f3cb65aab96542ed09140f082ada4911d6)
@@ -12,5 +12,5 @@
 .. figure:: img/elliptical_cylinder_geometry.png
 
-   Elliptical cylinder geometry $a$ = $r_{minor}$ and \nu = $r_{ratio}$ = $r_{major} / r_{minor}$
+   Elliptical cylinder geometry $a$ = $r_{minor}$ and \nu = $axis\_ratio$ = $r_{major} / r_{minor}$
 
 The function calculated is
@@ -57,5 +57,5 @@
     Examples of the angles for oriented elliptical cylinders against the detector plane.
 
-NB: The 2nd virial coefficient of the cylinder is calculated based on the averaged radius (= sqrt(*r_minor*\ :sup:`2` \* *r_ratio*))
+NB: The 2nd virial coefficient of the cylinder is calculated based on the averaged radius (= sqrt(*r_minor*\ :sup:`2` \* *axis_ratio*))
 and length values, and used as the effective radius for *S(Q)* when *P(Q)* \* *S(Q)* is applied.
 
@@ -95,5 +95,5 @@
 #             ["name", "units", default, [lower, upper], "type","description"],
 parameters = [["r_minor",     "Ang",        20.0,  [0, inf],    "volume",      "Ellipse minor radius"],
-              ["r_ratio",     "",           1.5,   [1, inf],    "volume",      "Ratio of major radius over minor radius"],
+              ["axis_ratio",     "",           1.5,   [1, inf],    "volume",      "Ratio of major radius over minor radius"],
               ["length",      "Ang",        400.0, [1, inf],    "volume",      "Length of the cylinder"],
               ["sld",         "1e-6/Ang^2", 4.0,   [-inf, inf], "",            "Cylinder scattering length density"],
@@ -107,27 +107,27 @@
 source = ["lib/polevl.c","lib/sas_J1.c", "lib/gauss76.c", "lib/gauss20.c", "elliptical_cylinder.c"]
 
-demo = dict(scale=1, background=0, r_minor=100, r_ratio=1.5, length=400.0,
+demo = dict(scale=1, background=0, r_minor=100, axis_ratio=1.5, length=400.0,
             sld=4.0, sld_solvent=1.0, theta=10.0, phi=20, psi=30, theta_pd=10, phi_pd=2, psi_pd=3)
 
 oldname = 'EllipticalCylinderModel'
-oldpars = dict(theta='cyl_theta', phi='cyl_phi', psi='cyl_psi', sld='sldCyl', sld_solvent='sldSolv')
+oldpars = dict(axis_ratio="r_ratio",theta='cyl_theta', phi='cyl_phi', psi='cyl_psi', sld='sldCyl', sld_solvent='sldSolv')
 
-def ER(r_minor, r_ratio, length):
+def ER(r_minor, axis_ratio, length):
     """
         Equivalent radius
         @param r_minor: Ellipse minor radius
-        @param r_ratio: Ratio of major radius over minor radius
+        @param axis_ratio: Ratio of major radius over minor radius
         @param length: Length of the cylinder
     """
-    radius = math.sqrt(r_minor * r_minor * r_ratio)
+    radius = math.sqrt(r_minor * r_minor * axis_ratio)
     ddd = 0.75 * radius * (2 * radius * length + (length + radius) * (length + pi * radius))
     return 0.5 * (ddd) ** (1. / 3.)
 
-tests = [[{'r_minor': 20.0, 'r_ratio': 1.5, 'length':400.0}, 'ER', 79.89245454155024],
-         [{'r_minor': 20.0, 'r_ratio': 1.2, 'length':300.0}, 'VR', 1],
+tests = [[{'r_minor': 20.0, 'axis_ratio': 1.5, 'length':400.0}, 'ER', 79.89245454155024],
+         [{'r_minor': 20.0, 'axis_ratio': 1.2, 'length':300.0}, 'VR', 1],
 
          # The SasView test result was 0.00169, with a background of 0.001
          [{'r_minor': 20.0,
-           'r_ratio': 1.5,
+           'axis_ratio': 1.5,
            'sld': 4.0,
            'length':400.0,
Index: sasmodels/models/flexible_cylinder_ex.py
===================================================================
--- sasmodels/models/flexible_cylinder_ex.py	(revision ce8bed9d3dac48c0121830280f01547120648cc7)
+++ sasmodels/models/flexible_cylinder_ex.py	(revision 74fd96f3cb65aab96542ed09140f082ada4911d6)
@@ -102,5 +102,5 @@
     ["length",      "Ang",       1000.0, [0, inf],    "volume", "Length of the flexible cylinder"],
     ["kuhn_length", "Ang",        100.0, [0, inf],    "volume", "Kuhn length of the flexible cylinder"],
-    ["radius",      "Ang",         20.0, [0, inf],    "volume", "Radius of the flexible cylinder"],
+    ["radius",      "Ang",         20.0, [1, inf],    "volume", "Radius of the flexible cylinder"],
     ["axis_ratio",  "",             1.5, [0, inf],    "",       "Axis_ratio (major_radius/minor_radius"],
     ["sld",         "1e-6/Ang^2",   1.0, [-inf, inf], "",       "Cylinder scattering length density"],
